Windows Server 2019 a 2022: CPU compatible

Debemos tener ciertas consideraciones previas para poder actualizar servidores con Windows Server 2019; entre ellas, comprobar que se cumplen los requisitos mínimos de hardware, en cuanto al procesador:

  • Procesador de 64 bits a 1,4 GHz
  • Compatible con el conjunto de instrucciones x64
  • Admite DEP y NX
  • Admite CMPXCHG16b, LAHF/SAHF y PrefetchW
  • Admite la traducción de direcciones de segundo nivel (EPT o NPT)

Podemos ejecutar la herramienta de Microsoft coreinfo64.exe, desde la línea de comandos filtrando los resultados:

coreinfo64.exe | findstr "^NX @ X64 EPT NPT CX16 LAHF-SAHF PREFETCHW" && coreinfo64.exe -v | findstr "EPT NP"

De este modo obtenemos el resumen que buscamos de las características:

Intel(R) Xeon(R) CPU XXXXX 0 @ 2.20GHz
X64             *       Supports 64-bit mode
NX              *       Supports no-execute page protection
CX16            *       Supports CMPXCHG16B instruction
LAHF-SAHF       *       Supports LAHF/SAHF instructions in 64-bit mode
PREFETCHW       *       Supports PREFETCHW instruction
EPT             *       Supports Intel extended page tables (SLAT)

Todos los resultados deben aparecer con asterisco «*», si alguno de ellos aparece con guion «-» debemos revisar si está activada la opción en la BIOS o nuestro procesador es compatible en la página del fabricante.

Igualmente, podemos comprobar desde nuestra versión de Windows Server si DEP esta activado:

wmic OS Get DataExecutionPrevention_Available  

Se mostrará «TRUE» al ejecutar el comando. Uniendo estos dos comandos podemos ejecutar tareas automatizadas en granjas de servidores y reportar los resultados más rápidamente cuando no existe una infraestructura heterogénea de hardware.

Si disponemos de Hyper-V Server 2019 (hasta la versión 9.0 de máquinas virtuales de Hyper-v) Microsoft no tiene intención, por el momento por lo menos, de crear una versión Hyper-V Server 2022 en su lugar refiere a la utilización de Azure Stack HCI o Azure Stack Hub.

Para Windows 11 se introdujo el requisito de TPM, para la versión Windows Server 2022 es opcional TPM 2.0 si queremos utilizar BitLocker

NOTA 1: en algunos casos coreinfo64 reporta que el procesador no es compatible con SLAT, pero en las especificaciones del fabricante , con todas las opciones en BIOS relacionados con virtualización activadas, si permite la instalación. En un equipo con Hyper-V ya instalado puede aparecer erróneamente e interferir en los resultados de la detección SLAT.

NOTA 2: el comando systeminfo.exe muestra por separado los requisitos para Hyper-V cuando no está instalado ningún hypervisor

Deja una respuesta

You have to agree to the comment policy.